# @frames/debugger

Debug your Frames built using [frames.js](https://framesjs.org) with ease.

## Usage

### Using npx or alternatives

```sh
$ npx @frames.js/debugger@latest
$ pnpm dlx @frames.js/debugger@latest
```

### Installing globally

```sh
# usage with npm
$ npm install -g @frames.js/debugger
$ frames

# usage with yarn
$ yarn global add @frames.js/debugger
$ frames

# usage with pnpm
$ pnpm add -g @frames.js/debugger
$ frames
```

## Set your Frames app to use the debugger

Set the `hubHttpUrl` to `http://localhost:3010/hub` (this is default used by debugger, you can change it by running debugger with `--port` flag).

```js
import { getFrameMessage } from "frames.js/next/server";

const frameMessage = await getFrameMessage(previousFrame.postBody, {
  hubHttpUrl: "http://localhost:3010/hub",
});
```
